;;; par Vincent Dufournaud (vinz34)

;;; mrvd34@hotmail.com

;;;cr?? le 16.04.2008

;;;modifi? le 02.05.2008 : (compare les attributs et analyse par Object.dbx

;;;modifi? le 06.05.2008 : corrections d'erreurs, ajout de comparaison du nombre d'entit?

dans les blocs.

;;;modifi? le 10.06.2009 : ajout de la v?rification des calques d'entit?s

(vl-load-com)

(defun c:cdwg (/ app cdoc fichier dbx name sp1

sp2 e obj lstmodif lstajout

lstsuppr lst obj sup h

)

(setq app (vlax-get-acad-object)

cdoc (vla-get-activedocument app)

name (vla-get-fullname cdoc)

s (getvar "date")

t1 (* 86400.0 (- s (fix s)))

)

(while (not fichier)

(setq fichier

(getfiled

"Select OLD Plan"

(strcat (vl-filename-directory (vla-get-fullname cdoc))

"/"

)

"dwg"

4

)

)

)

(vla-open (if ( tt 60)

(progn

(setq sec (rem tt 60)

mn (strcat (rtos (/ (- tt sec) 60) 2 0) " mn ")

sec (strcat (rtos sec 2 0) " s")

)

)

(progn

(setq sec (strcat (rtos tt 2 0) " s")

mn "0 mn "

)

)

)

(alert

(strcat

"Modifications Legend\n\nAdditions are GREEN \nModifications in RED\nDeletions in BLUE \n\nTime of comparing : "

mn

sec

)

)

)

(c:cdwg)

Advertisements